Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management
Class AttributeRemoveNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--javax.management.AttributeChangeNotification
                        |
                        +--weblogic.management.internal.AttributeChangeNotification
                              |
                              +--weblogic.management.AttributeRemoveNotification

public final class AttributeRemoveNotification
extends weblogic.management.internal.AttributeChangeNotification

This notification provides support for removing a value from an attribute of an MBean when that attribute is a type array. The notification informs the consumer that a value has been removed from that collection. It provides the name of the object, the attribute, the value and the type of the entry added to the array.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.management.AttributeChangeNotification
`ATTRIBUTE_CHANGE`

Fields inherited from class javax.management.Notification
`source`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AttributeRemoveNotification(javax.management.ObjectName source, java.lang.String name, java.lang.Object removedValue)` This contructor is superseded by the constructor which accepts a type.
`AttributeRemoveNotification(javax.management.ObjectName source, java.lang.String name, java.lang.String type, java.lang.Object removedValue)` Constructor for the AttributeRemoveNotification object

Method Summary
`java.lang.Object` | `getRemovedValue()` Gets the value that was removed from the array.

Methods inherited from class weblogic.management.internal.AttributeChangeNotification
`getChangeNotificationCount, getNewValue, getOldValue, toString`

Methods inherited from class javax.management.AttributeChangeNotification
`getAttributeName, getAttributeType`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeRemoveNotification

    public AttributeRemoveNotification(javax.management.ObjectName source,
                                       java.lang.String name,
                                       java.lang.Object removedValue)

  This contructor is superseded by the constructor which accepts a type.

  Parameters:
    `source` -
    `name` -
    `removedValue` -

### AttributeRemoveNotification

    public AttributeRemoveNotification(javax.management.ObjectName source,
                                       java.lang.String name,
                                       java.lang.String type,
                                       java.lang.Object removedValue)

  Constructor for the AttributeRemoveNotification object

  Parameters:
    `source` - The objectName for the MBean
    `name` - The name of the attribute
    `type` - The type of an an element in the array.
    `removedValue` - The value that was removed.

Method Detail

### getRemovedValue

    public java.lang.Object getRemovedValue()

  Gets the value that was removed from the array.

  Returns:
    The removedValue value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD